#
# spec file for package ispell (Version 3.1.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  texinfo words yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim words yacc

Name:         ispell
Copyright:    1983, by Pace Willisson, 1987 - 1993, 1995 by Geoff Kuenning, Granada Hills, CA.
Group:        Applications/Text
Provides:     ispell
Requires:     words ispell_dictionary
Autoreqprov:  on
Version:      3.1.20
Release:      407
Summary:      Spelling checker
Source:  ispell-3.1.20.tar.bz2
Source1: ispell-emacs-menu.el
Patch:   ispell-3.1.20.dif
Patch1:  ispell-3.1.20-config.patch
Patch2:  ispell-3.1.20-suse.patch
Patch3:  ispell-3.1.20-languages.patch
Patch4:  ispell-3.1.20-info.patch
Patch5:  ispell-3.1.20-defdict.patch
Patch6:  ispell-3.1.20-flagbits.patch
Patch7:  ispell-3.1.20-types.patch
Patch8:  ispell-3.1.20-terminal.patch
Patch9:  ispell-3.1.20-sq.patch
Patch10: ispell-3.1.20-tmprace.patch
Patch11: ispell-3.1.20-brkgcc.patch
Patch12: ispell-3.1.20-bslashspace.patch
Patch13: ispell-3.1.20-iso-more-html.patch

%description
Ispell is a fast screen-oriented spelling checker that shows you your
errors in the context of the original file, and suggests possible
corrections when it can figure them out.  Compared to UNIX spell, it
is faster and much easier to use.  Ispell can also handle languages
other than English. Ispell has a long history, and many people have
contributed to the current version - some of the major contributors
include R. E. Gorin, Pace Willisson, Walt Buehring, and Geoff
Kuenning.
You find a short description in the directory /usr/share/doc/packages/ispell/.

Authors:
--------
    R. E. Gorin
    Pace Willisson <pace@ai.mit.edu>
    Walt Buehring
    Goeff Kuenning <geoff@ITcorp.com>

SuSE series: spl

%package     -n iamerica
Conflicts:    ibritish
#Requires:    ispell
Summary:      American and british ispell dictionaries
Group:        Applications/Text
Provides:     ispell_dictionary
Autoreqprov:  on

%description -n iamerica
This packages includes ready american and british dictionaries for ispell.
After installation of this package english will be american english (in
oposite of the package iamerica).  A short usage description
is given in /usr/share/doc/packages/ispell/README of the packages ispell.
The sources for this dictionary are included in the source package
of ispell.

SuSE series: spl

%package     -n ibritish
Conflicts:    iamerica
#Requires:    ispell
Summary:      British and american ispell dictionaries
Group:        Applications/Text
Provides:     ispell_dictionary
Autoreqprov:  on

%description -n ibritish
This packages includes ready british and american dictionaries for ispell.
After installation of this package english will be british english (in
oposite of the package iamerica).  A short usage description
is given in /usr/share/doc/packages/ispell/README of the packages ispell.
The sources for this dictionary are included in the source package
of ispell.

SuSE series: spl

%prep
%setup -n ispell-3.1
%patch -P 0  -p 0 -b .dif
%patch -P 1  -p 0 -b .config
%patch -P 2  -p 0 -b .suse
%patch -P 3  -p 0 -b .languages
%patch -P 4  -p 0 -b .info
%patch -P 5  -p 0 -b .defdict
%patch -P 6  -p 0 -b .flagbits
%patch -P 7  -p 0 -b .types
%patch -P 8  -p 0 -b .terminal
%patch -P 9  -p 0 -b .sq
%patch -P 10 -p 0 -b .tmprace
%patch -P 11 -p 0 -b .brkgcc
%patch -P 12 -p 0 -b .bslashspace
%patch -P 13 -p 0 -b .isohtml

%build
  PATH=$PATH:$PWD
  export PATH
  make -f Makefile.Linux compile

%install
  make -f Makefile.Linux install
  rm -f /usr/lib/ispell/british.hash
  rm -r /usr/lib/ispell/american.hash
  ln -sf britishxlg.hash  /usr/lib/ispell/british.hash
  ln -sf americanxlg.hash /usr/lib/ispell/american.hash
#

%post  -n ibritish
rm -f   usr/lib/ispell/english.hash
test -e usr/lib/ispell/english.hash || ln -sf british.hash usr/lib/ispell/english.hash

%post  -n iamerica
rm -f   usr/lib/ispell/english.hash
test -e usr/lib/ispell/english.hash || ln -sf american.hash usr/lib/ispell/english.hash

%preun -n ibritish
test -L usr/lib/ispell/english.hash  && eng_inode=`ls -iL usr/lib/ispell/english.hash` || true
test -e usr/lib/ispell/british.hash  && bri_inode=`ls -iL usr/lib/ispell/british.hash` || true
set -- $eng_inode $bri_inode
if test -n "$1" -a -n "$3" ; then
   test $1 -eq $3 && rm -f usr/lib/ispell/english.hash || true
fi

%preun -n iamerica
test -L usr/lib/ispell/english.hash  && eng_inode=`ls -iL usr/lib/ispell/english.hash`  || true
test -e usr/lib/ispell/american.hash && ame_inode=`ls -iL usr/lib/ispell/american.hash` || true
set -- $eng_inode $ame_inode
if test -n "$1" -a -n "$3" ; then
   test $1 -eq $3 && rm -f usr/lib/ispell/english.hash || true
fi

%files
%doc suse/LIESMICH suse/README
%dir /usr/lib/ispell
/usr/bin/buildhash
/usr/bin/findaffix
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/ispell
/usr/bin/munchlist
/usr/bin/sq
/usr/bin/tryaffix
/usr/bin/unsq
%doc %{_infodir}/ispell.gz
/usr/lib/ispell/ispell-emacs-menu.el
%dir /usr/lib/ispell/emacs/
%doc %{_mandir}/man1/buildhash.1.gz
%doc %{_mandir}/man1/findaffix.1.gz
%doc %{_mandir}/man1/ispell.1.gz
%doc %{_mandir}/man1/munchlist.1.gz
%doc %{_mandir}/man1/sq.1.gz
%doc %{_mandir}/man1/tryaffix.1.gz
%doc %{_mandir}/man1/unsq.1.gz
%doc %{_mandir}/man5/english.5.gz
%doc %{_mandir}/man5/ispell.5.gz

%files -n iamerica
/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed.hash
/usr/lib/ispell/americanxlg.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed.hash
/usr/lib/ispell/britishxlg.hash
/usr/lib/ispell/emacs/american.el
/usr/lib/ispell/english.aff

%files -n ibritish
/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed.hash
/usr/lib/ispell/americanxlg.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed.hash
/usr/lib/ispell/britishxlg.hash
/usr/lib/ispell/emacs/british.el
/usr/lib/ispell/english.aff

%changelog -n ispell
* Thu May 17 2001 - werner@suse.de
- Mask all exit status with true on unlinking english.hash
* Mon May 14 2001 - werner@suse.de
- Be sure that exit status is true in preun scripts
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Feb 07 2001 - werner@suse.de
- Workaround for broken gcc on IA64
- Split main dif into several patches
- Add backslash space patch for TeX text
- Add iso-more-html patch for HTML text
* Wed Jan 10 2001 - werner@suse.de
- Make temporary files more secure
* Sat Oct 14 2000 - schwab@suse.de
- Do not define bcopy and bzero on Linux.
* Mon Sep 18 2000 - werner@suse.de
- Change ispell-emacs-menu.el to fit filter feature
  in ispell-menu-xemacs of newer ispell.el of XEmacs
- Change ispell-emacs-menu.el to add local used
  dictionary list.
* Sat May 27 2000 - kukuk@suse.de
- Use doc macro
* Mon Mar 13 2000 - werner@suse.de
- Use tc[sg]etattr if possible
- Use correct pointer size depending on __WORDSIZE
- Fix common names with ncurses
- Use $RPM_OPT_FLAGS
- Use correct type for {m,re}alloc
- Don't require ispell for ibritish and iamerica because
  ispell requires one of those packages (bootstrapping)
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added Requires ispell_dictionary for ispell
- added Provides ispell_dictionary for ibritish, iamerica
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - werner@suse.de
- Avoid load messages during rebuild of emacs spell menue
* Thu Mar 04 1999 - werner@suse.de
- Preparing for a better (x)emacs interface: Implement a
  emacs lisp file to create the spell menus modular on the
  fly in both emacs and xemacs Edit pulldown.
* Fri Nov 13 1998 - bs@suse.de
- fixed spec file (double entry Summary)
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Thu Sep 10 1998 - ro@suse.de
- catch redefinition of strcmp in ijoin.c
* Thu Jul 09 1998 - werner@suse.de
- Some preun scripts for ibritish and iamerica
* Thu Jul 09 1998 - werner@suse.de
- Split ispell into ispell for binaries and two
  packages ibritish and iamerica (excluding each other)
* Fri Feb 06 1998 - werner@suse.de
- Move hk2-deutsch to igerman and dicts package
- Fix flag handling (flags [\]^_` are not reconginzed by isalpha)
- Fix bug in fix8bit (wrong handling of second figure of a hex number)
* Fri Oct 17 1997 - werner@suse.de
- Move description from pac to /usr/doc/packages/ispell
- Fix ispell.texinfo
* Thu Feb 06 1997 - werner@suse.de
- Repacked
- A small modification: Now there is an environment variable
  CHARSET which will be used if and only if the environment variable
  DICTIONARY is set. E.g. DICTIONARY=deutsch and CHARSET=latin1
  Therefore `-T' is not needed ... `-n', `-t' and `-T'
  overwrites CHARSET.
